geometricArithmetic1 <- function(g, deg=NULL) {
  require("graph")

  if (class(g)[1] != "graphNEL")
    stop("'g' must be a 'graphNEL' object")
  stopifnot(.validateGraph(g))
  
  if (is.null(deg))
    deg <- graph::degree(g)

  sum(.edgeApply(g, function(from, to) {
    2 * sqrt(deg[from] * deg[to]) / (deg[from] + deg[to])
  }, dupls=FALSE))
}
